Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234831 - Review Request: fgfs-base - FlightGear base scenery and data files
Summary: Review Request: fgfs-base - FlightGear base scenery and data files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 234826
TreeView+ depends on / blocked
 
Reported: 2007-04-02 14:09 UTC by Fabrice Bellet
Modified: 2010-07-09 18:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-08 20:16:14 UTC
jochen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabrice Bellet 2007-04-02 14:09:23 UTC
Spec URL: http://fr2.rpmfind.net/pub/bellet/review/fgfs-base.spec
SRPM URL: http://fr2.rpmfind.net/pub/bellet/review/fgfs-base-0.9.10-1.fc6.src.rpm

Description:
This package contains the base scenery and aircrafts data files for FlightGear

This package is noarch, it is big because it contains all the available
aircrafts data. It also provides a base Scenery : the area of San Francisco
airport. The spec file has an empty %prep section, because the tarball doesn't
provide a Makefile, as all the data from the tarball is supposed to land in the
same destination data directory.

Comment 1 Jochen Schmitt 2007-04-02 19:27:11 UTC
good:
+ Naming is ok
* Tar ball matches with upstream.
+ License is ok
+ Local build works fine.
+ Binary packagea are ok.

Bad:
- Pakcage contains no docs.
- Pakcage contrains no verbatin copy of the license



Comment 2 Fabrice Bellet 2007-04-02 23:06:47 UTC
ok. I moved doc files and COPYING to the docdir.

New SPEC : http://fr2.rpmfind.net/pub/bellet/review/fgfs-base.spec
New SRPM : http://fr2.rpmfind.net/pub/bellet/review/fgfs-base-0.9.10-2.fc6.src.rpm

Comment 3 Jochen Schmitt 2007-04-03 16:09:14 UTC
Good:
+ Package contains verbatin copy of the license text.

*** APPROVED ***


Comment 4 Fabrice Bellet 2007-04-07 16:01:28 UTC
Thanks Jochen!

New Package CVS Request
=======================
Package Name: fgfs-base
Short Description: FlightGear base scenery and data files
Owners: fabrice@bellet.info
Branches: FC-6
InitialCC:

Comment 5 Fabrice Bellet 2007-04-08 20:16:14 UTC
fgfs-base has been successfully build. Thanks for the review.

Comment 6 Fabrice Bellet 2008-12-15 09:17:43 UTC
New Package CVS Request
=======================
Package Name: FlightGear-data
Short Description: FlightGear base scenery and data files
Owners: fabrice@bellet.info
Branches:
InitialCC:

I'll rename this package, because upstream name changed, since version 1.99.5:
ftp://ftp.de.flightgear.org/pub/fgfs/Shared/

Comment 7 Kevin Fenzi 2008-12-18 17:20:05 UTC
For package renames, we don't have a hard policy yet, but I would like to suggest the following: 

- Can you create the new packages with the new names and the needed provides/obsoletes. 
- Post a link to them on fedora-devel list and/or here. 
- Once they check out on provides/obsoletes, I can make the new package names in cvs for you, and you can mark the old one as dead.package and import the new one. 

Does that sound reasonable?

Comment 8 Fabrice Bellet 2008-12-19 15:45:30 UTC
Sure.

The concerned packages are here : http://fr2.rpmfind.net/pub/bellet/review/

.fgfs-base is renamed to FlightGear-data
.fgfs-Atlas is renamed to FlightGear-Atlas

SimGear, FlightGear and FlightGear-data new versions are currently released upstream synchronously, with the same version numbers. FlighGear-Atlas and FlightGear are the only two packages that depend on FlightGear-data, so I updated their Requires accordingly. And no other package depends on FlightGear-Atlas. So I see no use in this case, to continue to provide the old names of these two renamed packages.

(I'm maintainer for all the FlightGear-* packages, and comaintainer for SimGear, so I expect to update all these packages in rawhide at the same time)

Does it looks good ?

Comment 9 Fabrice Bellet 2008-12-19 16:34:27 UTC
ah typo in fgfs-Atlas.spec. please grab again from the previous url, if you already have.

Comment 10 Kevin Fenzi 2008-12-21 05:00:39 UTC
Yep. That looks good to me from what I can see.
I would of course still push to rawhide and confirm it obsoletes as you expect before pushing for f10/f9. 

So, would you like to just put all the requests here and I can do them at once? 
Once the new packages are setup, you can dead.package the old ones. 

Thanks for your patience.

Comment 11 Kevin Fenzi 2008-12-23 03:07:30 UTC
Go ahead and add the requests here (use Fedora account system accounts) and reset the fedora-cvs flag when you are ready.

Comment 12 Fabrice Bellet 2009-01-06 14:28:55 UTC
Ok.

New Package CVS Request
=======================
Package Name: FlightGear-data
Short Description: FlightGear base scenery and data files
Owners: bellet
Branches:
InitialCC:

New Package CVS Request
=======================
Package Name: FlightGear-Atlas
Short Description: Flightgear map tools
Owners: bellet
Branches:
InitialCC:

Thanks!

Comment 13 Kevin Fenzi 2009-01-07 01:33:01 UTC
cvs done.

Comment 14 Fabrice Bellet 2010-07-09 08:46:32 UTC
Package Change Request
======================
Package Name: FlightGear-data
New Branches: EL-6
Owners: bellet

Comment 15 Kevin Fenzi 2010-07-09 18:08:23 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.